/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.platform.dto.comlibrary;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
* Restful接口--资源详情--数据传输对象：平台组件库
*
* createdate:  2022-08-29 10:13:11  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "平台组件库")
public class CpComponentLibraryDetailDto implements Serializable {

    /**
     * 主键<br>
     */
    @ApiModelProperty("主键")
    @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
    private String id;
    /**
     * 库名<br>
     */
    @ApiModelProperty("库名")
    @Size(max = 100, message="库名-libraryName: 数据长度不能 > 100" )
    private String libraryName;
    /**
     * 库别名<br>
     */
    @ApiModelProperty("库别名")
    @Size(max = 100, message="库别名-libraryAlias: 数据长度不能 > 100" )
    private String libraryAlias;
    /**
     * 库文件名<br>
     */
    @ApiModelProperty("库文件名")
    @Size(max = 100, message="库文件名-fileName: 数据长度不能 > 100" )
    private String fileName;
    /**
     * 库文件地址<br>
     */
    @ApiModelProperty("库文件地址")
    @Size(max = 100, message="库文件地址-filePath: 数据长度不能 > 100" )
    private String filePath;
    /**
     * 使用状态0-可用1-禁用<br>
     */
    @ApiModelProperty("使用状态0-可用1-禁用")
    private Integer libraryStatus;
    /**
     * <br>
     */
    @ApiModelProperty("")
    @Size(max = 5000, message="-libraryIntro: 数据长度不能 > 5000" )
    private String libraryIntro;
    /**
     * 版本更新日志<br>
     */
    @ApiModelProperty("版本更新日志")
    @Size(max = 2000, message="版本更新日志-changeLog: 数据长度不能 > 2000" )
    private String changeLog;
    /**
     * 组件库版本号<br>
     */
    @ApiModelProperty("组件库版本号")
    @Size(max = 10, message="组件库版本号-libraryVersion: 数据长度不能 > 10" )
    private String libraryVersion;
    /**
     * 组件库类别0-公共，1-接口，2-pcbs，3-pccs，4-安卓，5-ios，<br>
     */
    @ApiModelProperty("组件库类别0-公共，1-接口，2-pcbs，3-pccs，4-安卓，5-ios，")
    private Integer libraryType;
    /**
     * 创建人<br>
     */
    @ApiModelProperty("创建人")
    @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
    private String createdBy;
    /**
     * 创建时间<br>
     */
    @ApiModelProperty("创建时间")
    private Date createdTime;
    /**
     * 修改人<br>
     */
    @ApiModelProperty("修改人")
    @Size(max = 32, message="修改人-updatedBy: 数据长度不能 > 32" )
    private String updatedBy;
    /**
     * 修改时间<br>
     */
    @ApiModelProperty("修改时间")
    private Date updatedTime;
    /**
     * 租户id<br>
     */
    @ApiModelProperty("租户id")
    @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
    private String tenantId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLibraryName() {
        return libraryName;
    }

    public void setLibraryName(String libraryName) {
        this.libraryName = libraryName;
    }

    public String getLibraryAlias() {
        return libraryAlias;
    }

    public void setLibraryAlias(String libraryAlias) {
        this.libraryAlias = libraryAlias;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public Integer getLibraryStatus() {
        return libraryStatus;
    }

    public void setLibraryStatus(Integer libraryStatus) {
        this.libraryStatus = libraryStatus;
    }

    public String getLibraryIntro() {
        return libraryIntro;
    }

    public void setLibraryIntro(String libraryIntro) {
        this.libraryIntro = libraryIntro;
    }

    public String getChangeLog() {
        return changeLog;
    }

    public void setChangeLog(String changeLog) {
        this.changeLog = changeLog;
    }

    public String getLibraryVersion() {
        return libraryVersion;
    }

    public void setLibraryVersion(String libraryVersion) {
        this.libraryVersion = libraryVersion;
    }

    public Integer getLibraryType() {
        return libraryType;
    }

    public void setLibraryType(Integer libraryType) {
        this.libraryType = libraryType;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }
}